## OpenGL Pixmap OpenGL Pixmap — OpenGL pixmap which is maintained off-screen |

## Functions

GdkGLPixmap * | gdk_gl_pixmap_new ()
void | gdk_gl_pixmap_destroy ()
GdkPixmap * | gdk_gl_pixmap_get_pixmap ()
GdkGLPixmap * | gdk_pixmap_set_gl_capability ()
void | gdk_pixmap_unset_gl_capability ()
gboolean | gdk_pixmap_is_gl_capable ()
GdkGLPixmap * | gdk_pixmap_get_gl_pixmap ()
#define | gdk_pixmap_get_gl_drawable()

## Types and Values

| GdkGLPixmap

## Object Hierarchy

        GObject
        ╰── GdkDrawable
            ╰── GdkGLPixmap

## Includes

    #include <gdk/gdkgl.h>

## Description

## Functions

### gdk_gl_pixmap_new ()

    GdkGLPixmap *
    gdk_gl_pixmap_new (GdkGLConfig *glconfig,
                       GdkPixmap *pixmap,
                       const int *attrib_list);

Creates an off-screen rendering area. attrib_list is currently unused. This must be set to NULL or empty (first attribute of None). See GLX 1.3 spec.

#### Parameters

glconfig | a GdkGLConfig. |
pixmap | the GdkPixmap to be used as the rendering area. |
attrib_list | this must be set to NULL or empty (first attribute of None). |

#### Returns

the new GdkGLPixmap.

### gdk_gl_pixmap_destroy ()

    void
    gdk_gl_pixmap_destroy (GdkGLPixmap *glpixmap);

Destroys the OpenGL resources associated with `glpixmap` and decrements `glpixmap` 's reference count.

#### Parameters

glpixmap | a GdkGLPixmap. |

### gdk_gl_pixmap_get_pixmap ()

    GdkPixmap *
    gdk_gl_pixmap_get_pixmap (GdkGLPixmap *glpixmap);

Returns the GdkPixmap associated with `glpixmap` .

Notice that GdkGLPixmap is not GdkPixmap, but another GdkDrawable which have an associated GdkPixmap.

#### Parameters

glpixmap | a GdkGLPixmap. |

#### Returns

the GdkPixmap associated with `glpixmap` .

### gdk_pixmap_set_gl_capability ()

    GdkGLPixmap *
    gdk_pixmap_set_gl_capability (GdkPixmap *pixmap,
                                  GdkGLConfig *glconfig,
                                  const int *attrib_list);

Set the OpenGL-capability to the `pixmap` . This function creates a new GdkGLPixmap held by the `pixmap` . attrib_list is currently unused. This must be set to NULL or empty (first attribute of None).

#### Parameters

pixmap | the GdkPixmap to be used as the rendering area. |
glconfig | a GdkGLConfig. |
attrib_list | this must be set to NULL or empty (first attribute of None). |

#### Returns

the GdkGLPixmap used by the `pixmap` if it is successful, NULL otherwise.

### gdk_pixmap_unset_gl_capability ()

    void
    gdk_pixmap_unset_gl_capability (GdkPixmap *pixmap);

Unset the OpenGL-capability of the `pixmap` . This function destroys the GdkGLPixmap held by the `pixmap` .

#### Parameters

pixmap | a GdkPixmap. |

### gdk_pixmap_is_gl_capable ()

    gboolean
    gdk_pixmap_is_gl_capable (GdkPixmap *pixmap);

Returns whether the `pixmap` is OpenGL-capable.

#### Parameters

pixmap | a GdkPixmap. |

#### Returns

TRUE if the `pixmap` is OpenGL-capable, FALSE otherwise.

### gdk_pixmap_get_gl_pixmap ()

    GdkGLPixmap *
    gdk_pixmap_get_gl_pixmap (GdkPixmap *pixmap);

Returns the GdkGLPixmap held by the `pixmap` .

#### Parameters

pixmap | a GdkPixmap. |

#### Returns

the GdkGLPixmap.

### gdk_pixmap_get_gl_drawable()

    #define             gdk_pixmap_get_gl_drawable(pixmap)

Returns the GdkGLDrawable held by the `pixmap`. In fact, this is macro that casts the result of gdk_pixmap_get_gl_pixmap to GdkGLDrawable.

#### Parameters

pixmap | a GdkGLPixmap. |

#### Returns

the GdkGLDrawable.

## Types and Values

### GdkGLPixmap

    typedef struct _GdkGLPixmap GdkGLPixmap;